package com.bonus.core.account.v3.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@TableName("acc_trade_wallet_detail")
public class AccTradeWalletDetail implements Serializable {
   @TableId(
      type = IdType.AUTO
   )
   private Long id;
   private Long tradeId;
   private Long custId;
   private Integer walletId;
   private BigDecimal amount;
   private BigDecimal walletBal;
   private Integer tradeType;
   private LocalDateTime crtime;
   private LocalDateTime uptime;
   private BigDecimal frozenBalance;
   private LocalDateTime tradeTime;
   private LocalDateTime validateTime;
   private BigDecimal useAmount;
   private Integer expiredClear;
   @TableField(
      exist = false
   )
   private static final long serialVersionUID = 1L;

   public Long getId() {
      return this.id;
   }

   public Long getTradeId() {
      return this.tradeId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getWalletId() {
      return this.walletId;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   public BigDecimal getWalletBal() {
      return this.walletBal;
   }

   public Integer getTradeType() {
      return this.tradeType;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public BigDecimal getFrozenBalance() {
      return this.frozenBalance;
   }

   public LocalDateTime getTradeTime() {
      return this.tradeTime;
   }

   public LocalDateTime getValidateTime() {
      return this.validateTime;
   }

   public BigDecimal getUseAmount() {
      return this.useAmount;
   }

   public Integer getExpiredClear() {
      return this.expiredClear;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setTradeId(final Long tradeId) {
      this.tradeId = tradeId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setWalletId(final Integer walletId) {
      this.walletId = walletId;
   }

   public void setAmount(final BigDecimal amount) {
      this.amount = amount;
   }

   public void setWalletBal(final BigDecimal walletBal) {
      this.walletBal = walletBal;
   }

   public void setTradeType(final Integer tradeType) {
      this.tradeType = tradeType;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setFrozenBalance(final BigDecimal frozenBalance) {
      this.frozenBalance = frozenBalance;
   }

   public void setTradeTime(final LocalDateTime tradeTime) {
      this.tradeTime = tradeTime;
   }

   public void setValidateTime(final LocalDateTime validateTime) {
      this.validateTime = validateTime;
   }

   public void setUseAmount(final BigDecimal useAmount) {
      this.useAmount = useAmount;
   }

   public void setExpiredClear(final Integer expiredClear) {
      this.expiredClear = expiredClear;
   }
}
